Skip to main content
GET
/
api
/
v1
/
refill_status
Get Refill Status
curl --request GET \
  --url https://app.sosmednext.com/api/v1/refill_status
import requests

url = "https://app.sosmednext.com/api/v1/refill_status"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.sosmednext.com/api/v1/refill_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Setelah mengajukan refill melalui endpoint /api/v1/refill, gunakan endpoint ini untuk melacak status refill tersebut.

Query Parameters

api_key
string
required
Kunci API Anda (jika tidak menggunakan Header X-Api-Key).
refill
string
required
ID Refill yang didapat dari response endpoint Create Refill.

Contoh Request

curl -X GET -H "X-Api-Key: YOUR_API_KEY" "https://app.sosmednext.com/api/v1/refill_status?refill=1"

Response

Response Sukses (200 OK)
{
  "status": "Completed"
}
Response Gagal (404)
{
  "error": "Refill not found"
}

Status Refill yang Tersedia:

StatusKeterangan
PendingRefill sedang dalam antrean.
ProcessingRefill sedang diproses.
CompletedRefill berhasil diselesaikan.
RejectedRefill ditolak oleh provider.